Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::AnimationPathCallback Class Reference

Inheritance diagram for osg::AnimationPathCallback:

[legend]
List of all members.

## Public Member Functions
| AnimationPathCallback ()
| AnimationPathCallback (const AnimationPathCallback &apc, const CopyOp &copyop)
| META_Object (osg, AnimationPathCallback)
| AnimationPathCallback (AnimationPath *ap, double timeOffset=0.0, double timeMultiplier=1.0)
| Construct an AnimationPathCallback with a specified animation path.
| AnimationPathCallback (const osg::Vec3d &pivot, const osg::Vec3d &axis, float angularVelocity)
| Construct an AnimationPathCallback and automatical create an animation path to produce a rotation about a point.
void | setAnimationPath (AnimationPath *path)
AnimationPath * | getAnimationPath ()
const AnimationPath * | getAnimationPath () const
void | setPivotPoint (const Vec3d &pivot)
const Vec3d & | getPivotPoint () const
void | setUseInverseMatrix (bool useInverseMatrix)
bool | getUseInverseMatrix () const
void | setTimeOffset (double offset)
double | getTimeOffset () const
void | setTimeMultiplier (double multiplier)
double | getTimeMultiplier () const
void | reset ()
void | setPause (bool pause)
bool | getPause () const
double | getAnimationTime () const
| Get the animation time that is used to specify the position along the AnimationPath.
virtual void | operator() (Node *node, NodeVisitor *nv)
| Implements the callback.
void | update (osg::Node &node)
## Public Attributes
ref_ptr< AnimationPath > | _animationPath
osg::Vec3d | _pivotPoint
bool | _useInverseMatrix
double | _timeOffset
double | _timeMultiplier
double | _firstTime
double | _latestTime
bool | _pause
double | _pauseTime
## Protected Member Functions
| ~AnimationPathCallback ()

## Constructor & Destructor Documentation

osg::AnimationPathCallback::AnimationPathCallback | ( |  | ) | `[inline]`

osg::AnimationPathCallback::AnimationPathCallback | ( | const AnimationPathCallback & | apc,
|  | const CopyOp & | copyop
| ) | `[inline]`

osg::AnimationPathCallback::AnimationPathCallback | ( | AnimationPath * | ap,
|  | double | timeOffset = 0.0,
|  | double | timeMultiplier = 1.0
| ) | `[inline]`

| Construct an AnimationPathCallback with a specified animation path.

osg::AnimationPathCallback::AnimationPathCallback | ( | const osg::Vec3d & | pivot,
|  | const osg::Vec3d & | axis,
|  | float | angularVelocity
| ) |

| Construct an AnimationPathCallback and automatical create an animation path to produce a rotation about a point.

osg::AnimationPathCallback::~AnimationPathCallback | ( |  | ) | `[inline, protected]`

## Member Function Documentation

const AnimationPath* osg::AnimationPathCallback::getAnimationPath | ( |  | ) | const`[inline]`

AnimationPath* osg::AnimationPathCallback::getAnimationPath | ( |  | ) | `[inline]`

double osg::AnimationPathCallback::getAnimationTime | ( |  | ) | const

| Get the animation time that is used to specify the position along the AnimationPath. Animation time is computed from the formula: ((_latestTime-_firstTime)-_timeOffset)*_timeMultiplier.

bool osg::AnimationPathCallback::getPause | ( |  | ) | const`[inline]`

const Vec3d& osg::AnimationPathCallback::getPivotPoint | ( |  | ) | const`[inline]`

double osg::AnimationPathCallback::getTimeMultiplier | ( |  | ) | const`[inline]`

double osg::AnimationPathCallback::getTimeOffset | ( |  | ) | const`[inline]`

bool osg::AnimationPathCallback::getUseInverseMatrix | ( |  | ) | const`[inline]`

osg::AnimationPathCallback::META_Object | ( | osg | ,
|  | AnimationPathCallback |
| ) |

virtual void osg::AnimationPathCallback::operator() | ( | Node * | node,
|  | NodeVisitor * | nv
| ) | `[virtual]`

| Implements the callback. Reimplemented from osg::NodeCallback.

void osg::AnimationPathCallback::reset | ( |  | ) |

void osg::AnimationPathCallback::setAnimationPath | ( | AnimationPath * | path | ) | `[inline]`

void osg::AnimationPathCallback::setPause | ( | bool | pause | ) |

void osg::AnimationPathCallback::setPivotPoint | ( | const Vec3d & | pivot | ) | `[inline]`

void osg::AnimationPathCallback::setTimeMultiplier | ( | double | multiplier | ) | `[inline]`

void osg::AnimationPathCallback::setTimeOffset | ( | double | offset | ) | `[inline]`

void osg::AnimationPathCallback::setUseInverseMatrix | ( | bool | useInverseMatrix | ) | `[inline]`

void osg::AnimationPathCallback::update | ( | osg::Node & | node | ) |

## Member Data Documentation

ref_ptr<AnimationPath> osg::AnimationPathCallback::_animationPath

double osg::AnimationPathCallback::_firstTime

double osg::AnimationPathCallback::_latestTime

bool osg::AnimationPathCallback::_pause

double osg::AnimationPathCallback::_pauseTime

osg::Vec3d osg::AnimationPathCallback::_pivotPoint

double osg::AnimationPathCallback::_timeMultiplier

double osg::AnimationPathCallback::_timeOffset

bool osg::AnimationPathCallback::_useInverseMatrix

The documentation for this class was generated from the following file:

- AnimationPath